.\"	$NetBSD: getNAME.8,v 1.11 2003/02/25 10:34:49 wiz Exp $
.\"
.\" Copyright (c) 1997 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd October 31, 1997
.Dt GETNAME 8
.Os
.Sh NAME
.Nm getNAME
.Nd "get NAME sections from manual source for whatis/apropos data base"
.Sh SYNOPSIS
.Nm
.Op Fl itvw
.Ar path Op Ar path ...
.Sh DESCRIPTION
The
.Nm
utility looks inside manual page sources to find the name of the page.
It can be used to create a table of contents, report the style of manual,
or to create an introductory manual page.
By default,
.Nm
returns data for use in an
.Xr apropos 1
database.
.Nm
is designed to be called from manual grovelling tools, not to be used directly.
.Pp
Historically,
.Xr makewhatis 8
used to use
.Nm
to get manpage names, but that's no longer the case.
.Sh OPTIONS
The following options are available:
.Bl -tag -width Ds
.It Fl i
Print information useful in creating an introduction manual.
See
.Xr intro 1 ,
.Xr intro 2 ,
etc. for examples.
.It Fl t
Print information useful for creating a table of contents.
.It Fl v
Complain about incorrectly formatted man pages.
.It Fl w
Print information whether the manpage uses traditional man
.Pq Dq OLD ,
new mandoc
.Pq Dq NEW ,
or some unknown
.Pq Dq UNKNOWN
macros.
.El
.Sh SEE ALSO
.Xr man 1 ,
.Xr catman 8 ,
.Xr makewhatis 8
.Sh HISTORY
The
.Nm
command first appeared in
.Bx 2.0 .
.Sh BUGS
It would be nice if
.Nm
could deal with compressed and/or preformatted manual pages.
Looks for .S[Hh] NAME for consistency checking, but that breaks man pages
in other languages.
